Bug 469019 - system-config-network crashes when saving configuration
system-config-network crashes when saving configuration
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 10:33 EDT by Krzysztof "Uosiu" Hajdamowicz
Modified: 2009-12-18 01:41 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:41:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error dump (1.20 KB, text/plain)
2008-10-29 10:34 EDT, Krzysztof "Uosiu" Hajdamowicz
no flags Details
Error report from system config network (1.05 KB, text/plain)
2008-12-07 13:28 EST, Ray Ward
no flags Details

  None (edit)
Description Krzysztof "Uosiu" Hajdamowicz 2008-10-29 10:33:35 EDT
Description of problem:
System-config-network crashes when saving configuration.

Version-Release number of selected component (if applicable):
system-config-network-1.5.92-3.fc10.noarch


How reproducible:
always

Steps to Reproduce:
1. run s-c-n
2. edit intefaces (add hostname to admit to DHCP server, edit DNS and IP settings)
3. file -> save
  
Actual results:
S-C-N crashes

Expected results:
S-C-N saves configuration

Additional info:
in attachment
Comment 1 Krzysztof "Uosiu" Hajdamowicz 2008-10-29 10:34:29 EDT
Created attachment 321811 [details]
error dump
Comment 2 Harald Hoyer 2008-10-29 13:14:50 EDT
hmm, seems like /etc/modprobe.conf contains a broken line.

though s-c-network should not traceback, can you fix/remove the pan0 line from /etc/modprobe.conf?
Comment 3 Krzysztof "Uosiu" Hajdamowicz 2008-10-29 15:36:23 EDT
i don't have /etc/modprobe.conf

20:35 [ root @ samhain ] /root ROOTMODE> ls /etc | wklej
http://wklej.org/id/13875/
Comment 4 Bug Zapper 2008-11-25 23:26:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Ray Ward 2008-12-07 13:28:36 EST
Created attachment 326050 [details]
Error report from system config network
Comment 6 Ray Ward 2008-12-07 13:31:48 EST
The above error is reported when trying to save a network configuration.
System was recently updated from Fedora 8 to Fedora 10
I also noticed I have 2 system-config-network installed
system-config-network.noarch         1.5.93-2.fc10             installed        
system-config-network-tui.noarch     1.5.93-2.fc10             installed
Comment 7 Jon Dufresne 2009-02-17 13:01:49 EST
Thank you for the bug report. The system-config-network package has been updated. Can you please update your package with the command:

$ yum -c "yum update system-config-network"

and then test to see if this bug still persists?
Comment 8 Bug Zapper 2009-11-18 03:41:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Ray Ward 2009-11-19 02:56:24 EST
This problem is no longer an issue.
Problem was resolved on upgrading.
Comment 10 Bug Zapper 2009-12-18 01:41:24 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.